{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}


{% block component_part %}

    <form
        action="{{ path('dplan_customer_mail_send_all_users') }}"
        method="post"
        data-dp-validate
    >

        <fieldset>
            <legend>
                <h1>
                    {{ 'customer.settings.update.mail.title'|trans }}
                </h1>
            </legend>

            <p>{{ 'customer.settings.update.mail.help'|trans }}</p>
            {% set urlBase = 'https://' ~ app.request.host %}

            {{ uiComponent('form.row', {
                elements: [
                    {
                        label: { text: 'subject'|trans },
                        control: { name: 'r_email_subject', attributes: ['maxlength=78'] },
                        id: 'r_email_subject',
                        type: 'text',
                        required: true,
                        value: 'customer.settings.update.mail.default.subject'|trans
                    }
                ]
            }) }}

            <div class="{{ 'u-mb-0_75'|prefixClass }}">
                <dp-label
                    for="r_email_body"
                    text="{{ 'email.body'|trans }}">
                </dp-label>
                <dp-editor
                    id="r_email_body"
                    hidden-input="r_email_body"
                    :toolbar-items="{
                        headings: [1,2,3],
                        linkButton: true
                    }"
                    required
                    value="{{ 'customer.settings.update.mail.default.text'|trans({ termsOfUseUrl: urlBase ~ path('DemosPlan_misccontent_static_terms'), dataProtectionUrl: urlBase ~ path('DemosPlan_misccontent_static_dataprotection') }) }}">
                    <template v-slot:modal="modalProps">
                        <dp-boiler-plate-modal
                            ref="boilerPlateModal"
                            boiler-plate-type="email"
                            procedure-id="{{ procedure }}"
                            @insert="text => modalProps.handleInsertText(text)">
                        </dp-boiler-plate-modal>
                    </template>
                    <template v-slot:button>
                        <button
                            class="{{ 'menubar__button'|prefixClass }}"
                            type="button"
                            v-tooltip="'{{ 'boilerplate.insert'|trans }})'"
                            @click.stop="$refs.boilerPlateModal.toggleModal()">
                            <i class="{{ 'fa fa-puzzle-piece'|prefixClass }}"></i>
                        </button>
                    </template>
                </dp-editor>
            </div>

            {{ uiComponent('form.element', {
                label: { text: 'customer.settings.update.mail.info'|trans({ count: templateVars.usersCount|default(0) }) },
                control: { name: 'r_confirm', value: '1', checked: false },
                id: 'r_confirm',
                type: 'checkbox',
                required: true,
            }) }}

            <div class="text-right space-inline-s">
                <button
                    class="btn btn--primary"
                    type="submit"
                    name="send"
                >
                    {{ 'email.send'|trans }}
                </button>
            </div>

        </fieldset>
    </form>

{% endblock component_part %}

{#  bundles generated via webpack/gulp build are included here  #}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['user-customersettingsmail.js']) }}
{% endblock javascripts %}
